# WOK
TKWOK
WOKDeliv

# WOKDeliv_DataMapOfFiles Class Reference

`#include <WOKDeliv_DataMapOfFiles.hxx>`

Inheritance diagram for WOKDeliv_DataMapOfFiles:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKDeliv_DataMapOfFiles (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKDeliv_DataMapOfFiles & | Assign (const WOKDeliv_DataMapOfFiles &Other)
WOKDeliv_DataMapOfFiles & | operator= (const WOKDeliv_DataMapOfFiles &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKDeliv_DataMapOfFiles ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(TColStd_HSequenceOfHAsciiString)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_TColStd_HSequenceOfHAsciiString & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_TColStd_HSequenceOfHAsciiString & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKDeliv_DataMapOfFiles (const WOKDeliv_DataMapOfFiles &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKDeliv_DataMapOfFiles::WOKDeliv_DataMapOfFiles | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKDeliv_DataMapOfFiles::~WOKDeliv_DataMapOfFiles | ( |  | ) | `[inline]`

Standard_EXPORT WOKDeliv_DataMapOfFiles::WOKDeliv_DataMapOfFiles | ( | const WOKDeliv_DataMapOfFiles & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKDeliv_DataMapOfFiles& WOKDeliv_DataMapOfFiles::Assign | ( | const WOKDeliv_DataMapOfFiles & | Other | ) |

Standard_EXPORT Standard_Boolean WOKDeliv_DataMapOfFiles::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | I
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString& WOKDeliv_DataMapOfFiles::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKDeliv_DataMapOfFiles::Clear | ( |  | ) |

Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString& WOKDeliv_DataMapOfFiles::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKDeliv_DataMapOfFiles::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKDeliv_DataMapOfFiles::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKDeliv_DataMapOfFiles::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKDeliv_DataMapOfFiles::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_TColStd_HSequenceOfHAsciiString& WOKDeliv_DataMapOfFiles::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_TColStd_HSequenceOfHAsciiString& WOKDeliv_DataMapOfFiles::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKDeliv_DataMapOfFiles& WOKDeliv_DataMapOfFiles::operator= | ( | const WOKDeliv_DataMapOfFiles & | Other | ) | `[inline]`

Standard_EXPORT void WOKDeliv_DataMapOfFiles::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKDeliv_DataMapOfFiles::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKDeliv_DataMapOfFiles.hxx